# This file is part of Online Services Jenkaas.
#
# Copyright 2016, 2017 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License version 3, as published by the
# Free Software Foundation.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranties of MERCHANTABILITY,
# SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program.  If not, see <http://www.gnu.org/licenses/>.
from __future__ import unicode_literals

from olsvms import config
from olsvms.config import options


# Useful shortcuts
VmStack = config.VmStack
register = config.register


def register(option):
    options.option_registry.register(option)


register(options.Option('launchpad.service_root', default='production',
                        help_string='''\
The launchpad service root to talk to.'''))

register(config.PathOption('launchpad.credentials',
                           default='~/.config/launchpad/credentials',
                           help_string='''\
The path for the launchpad OAuth token.'''))

register(config.PathOption('jenkaas.setup_known_hosts',
                           default='~/jenkaas/setup/known_hosts',
                           help_string='''\
The path to the script installing ~/.ssh/known_hosts in the containers
with verified keys.
'''))
