#!/bin/sh
# Docker should already be installed in the container,
# this script sets 2 things up that we need for our builds
# to work:
#
# 1- Ubuntu user should be able to use docker commands
usermod -a -G docker ubuntu

# 2- Customize docker daemon configuration to use the internal proxy
mkdir -p /etc/systemd/system/docker.service.d
cat <<EOF > /etc/systemd/system/docker.service.d/http-proxy.conf
[Service]
Environment="HTTP_PROXY=http://squid.internal:3128"
EOF

# 3- Customize docker daemon configuration to use the internal registry
cat <<EOF > /etc/docker/daemon.json
{
   "registry-mirrors": ["https://prod-ols.docker-registry.canonical.com"]
}
EOF
# No need to reload/restart docker because the container gets
# rebooted after doing these changes.
